Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 19766)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 19802)
@@ -24,5 +24,5 @@
 // {{{ requires
 require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
-require_once(DATA_PATH. "module/Tar.php");
+require_once(DATA_FILE_PATH. "module/Tar.php");
 /**
  * バックアップ のページクラス.
@@ -50,5 +50,5 @@
         $this->tpl_subtitle = 'バックアップ管理';
 
-        $this->bkup_dir = DATA_PATH . "downloads/backup/";
+        $this->bkup_dir = DATA_FILE_PATH . "downloads/backup/";
         $this->bkup_ext = '.tar.gz';
 
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 19802)
@@ -88,5 +88,5 @@
             case 'install':
                 $name = $this->objForm->getValue('plugin_name');
-                require_once(DATA_PATH.'/plugin/'.$name.'/'.$name.'.php');
+                require_once(DATA_FILE_PATH.'/plugin/'.$name.'/'.$name.'.php');
                 $plugin = new $name();
                 $plugin->install();
@@ -94,5 +94,5 @@
             case 'uninstall':
                 $name = $this->objForm->getValue('plugin_name');
-                require_once(DATA_PATH.'/plugin/'.$name.'/'.$name.'.php');
+                require_once(DATA_FILE_PATH.'/plugin/'.$name.'/'.$name.'.php');
                 $plugin = new $name();
                 $plugin->uninstall();
@@ -100,5 +100,5 @@
             case 'enable':
                 $name = $this->objForm->getValue('plugin_name');
-                require_once(DATA_PATH.'/plugin/'.$name.'/'.$name.'.php');
+                require_once(DATA_FILE_PATH.'/plugin/'.$name.'/'.$name.'.php');
                 $plugin = new $name();
                 $plugin->enable();
@@ -107,5 +107,5 @@
             case 'disable':
               $name = $this->objForm->getValue('plugin_name');
-                require_once(DATA_PATH.'/'.$name.'/'.$name.'.php');
+                require_once(DATA_FILE_PATH.'/'.$name.'/'.$name.'.php');
                 $plugin = new $name();
                 $plugin->disable();
@@ -136,5 +136,5 @@
     function getPluginOnFilesystem($existsPlugins){
 
-        $dir = DATA_PATH."plugin/";
+        $dir = DATA_FILE_PATH."plugin/";
         $arrPlugins = array();
         if($dh =  opendir($dir)){
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 19788)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 19802)
@@ -25,5 +25,5 @@
 // {{{ requires
 require_once CLASS_PATH . "pages/admin/LC_Page_Admin.php";
-require_once DATA_PATH . 'module/Request.php';
+require_once DATA_FILE_PATH . 'module/Request.php';
 
 /**
@@ -247,5 +247,5 @@
         // XXX (URLは強制送信すべきではないと思うが)バージョンは強制送信すべきか。
         if (UPDATE_SEND_SITE_INFO === true) {
-            $query = '?site_url=' . SITE_URL . '&eccube_version=' . ECCUBE_VERSION;
+            $query = '?site_url=' . HTTP_URL . '&eccube_version=' . ECCUBE_VERSION;
         }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 19738)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 19802)
@@ -32,8 +32,8 @@
 
 /** 郵便番号CSV ファイルのパス */
-define("ZIP_CSV_FILE_PATH", DATA_PATH . "downloads/KEN_ALL.CSV");
+define("ZIP_CSV_FILE_PATH", DATA_FILE_PATH . "downloads/KEN_ALL.CSV");
 
 /** UTF-8 変換済みの郵便番号CSV ファイルのパス */
-define("ZIP_CSV_UTF8_FILE_PATH", DATA_PATH . "downloads/KEN_ALL_utf-8.CSV");
+define("ZIP_CSV_UTF8_FILE_PATH", DATA_FILE_PATH . "downloads/KEN_ALL_utf-8.CSV");
 
 /**
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 19778)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 19802)
@@ -216,5 +216,5 @@
         }
         $_SESSION['preview'] = "ON";
-        $this->objDisplay->redirect($this->getLocation(URL_DIR . "preview/" . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"])));
+        $this->objDisplay->redirect($this->getLocation(URL_PATH . "preview/" . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"])));
     }
 
@@ -312,5 +312,5 @@
         if (!$this->objLayout->lfCheckBaseData($arrData['page_id'], $device_type_id)) {
             $arrUpdData['page_name']    = $arrData['page_name'] ;
-            $arrUpdData['url']          = preg_replace('|^' . preg_quote(URL_DIR) . '|', '',
+            $arrUpdData['url']          = preg_replace('|^' . preg_quote(URL_PATH) . '|', '',
                                                        $this->objLayout->getUserDir($device_type_id) . $arrData['url'] . '.php');
             $arrUpdData['php_dir']      = dirname($arrUpdData['url']);
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 19737)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 19802)
@@ -24,5 +24,5 @@
   // {{{ requires
 require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
-require_once(DATA_PATH . "module/Tar.php");
+require_once(DATA_FILE_PATH . "module/Tar.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_FileManager_Ex.php");
 
@@ -292,5 +292,5 @@
         SC_Utils_Ex::sfDelFile($templates_dir);
         // コンパイル削除
-        $templates_c_dir = DATA_PATH. "Smarty/templates_c/". $template_code. "/";
+        $templates_c_dir = DATA_FILE_PATH. "Smarty/templates_c/". $template_code. "/";
         SC_Utils_Ex::sfDelFile($templates_c_dir);
         // ユーザーデータ削除
@@ -333,8 +333,8 @@
         // キャンペーン実行PHPをコピー
         $ret = $objFileManager->sfCreateFile(CAMPAIGN_PATH . $file);
-        copy(HTML_PATH . CAMPAIGN_TEMPLATE_DIR . "index.php", CAMPAIGN_PATH . $file . "/index.php");
-        copy(HTML_PATH . CAMPAIGN_TEMPLATE_DIR . "application.php", CAMPAIGN_PATH . $file . "/application.php");
-        copy(HTML_PATH . CAMPAIGN_TEMPLATE_DIR . "complete.php", CAMPAIGN_PATH . $file . "/complete.php");
-        copy(HTML_PATH . CAMPAIGN_TEMPLATE_DIR . "entry.php", CAMPAIGN_PATH . $file . "/entry.php");
+        copy(HTML_FILE_PATH . CAMPAIGN_TEMPLATE_DIR . "index.php", CAMPAIGN_PATH . $file . "/index.php");
+        copy(HTML_FILE_PATH . CAMPAIGN_TEMPLATE_DIR . "application.php", CAMPAIGN_PATH . $file . "/application.php");
+        copy(HTML_FILE_PATH . CAMPAIGN_TEMPLATE_DIR . "complete.php", CAMPAIGN_PATH . $file . "/complete.php");
+        copy(HTML_FILE_PATH . CAMPAIGN_TEMPLATE_DIR . "entry.php", CAMPAIGN_PATH . $file . "/entry.php");
 
         // デフォルトテンプレート作成(キャンペーン中)
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php	(revision 19722)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php	(revision 19802)
@@ -24,5 +24,5 @@
 // {{{ requires
 require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
-require_once(DATA_PATH. "module/Tar.php");
+require_once(DATA_FILE_PATH. "module/Tar.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_FileManager_Ex.php");
 
@@ -234,5 +234,5 @@
 	    $template_code = $objForm->getValue('template_code');
 	    $template_dir = SMARTY_TEMPLATES_DIR . $template_code;
-	    $compile_dir  = DATA_PATH . "Smarty/templates_c/" . $template_code;
+	    $compile_dir  = DATA_FILE_PATH . "Smarty/templates_c/" . $template_code;
 	    // フォルダ作成
 	    if(!file_exists($template_dir)) {
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 19737)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 19802)
@@ -214,5 +214,5 @@
                 $_SESSION['preview'] = "ON";
 
-                $this->objDisplay->redirect($this->getLocation(URL_DIR . "preview/" . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"])));
+                $this->objDisplay->redirect($this->getLocation(URL_PATH . "preview/" . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"])));
                 exit;
 
Index: /branches/version-2_5-dev/data/class/pages/LC_Page_Redirect.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page_Redirect.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page_Redirect.php	(revision 19802)
@@ -81,5 +81,5 @@
             $this->sendRedirect($next_url);
         } else {
-            $this->sendRedirect(MOBILE_SITE_URL, true);
+            $this->sendRedirect(MOBILE_HTTP_URL, true);
         }
     }
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 19788)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 19802)
@@ -171,5 +171,5 @@
         $CONF = $objDb->sfGetBasisData();
 
-        $ssl_url  = rtrim(SSL_URL,"/");
+        $ssl_url  = rtrim(HTTPS_URL,"/");
         $ssl_url .= $_SERVER['PHP_SELF'];
 
@@ -578,5 +578,5 @@
                                        "id" => $this->uniqid,
                                        session_name() => session_id());
-                        $this->objDisplay->redirect($this->getLocation(MOBILE_URL_DIR . "regist/" . DIR_INDEX_URL, $param));
+                        $this->objDisplay->redirect($this->getLocation(MOBILE_URL_PATH . "regist/" . DIR_INDEX_URL, $param));
                         exit;
                     }
Index: /branches/version-2_5-dev/data/class/pages/LC_Page_Sitemap.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page_Sitemap.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page_Sitemap.php	(revision 19802)
@@ -77,7 +77,7 @@
         $this->staticURL = array();
         
-        $this->staticURL[] = SITE_URL . 'rss/' . DIR_INDEX_URL;
+        $this->staticURL[] = HTTP_URL . 'rss/' . DIR_INDEX_URL;
         if (USE_MOBILE !== false) {
-            $this->staticURL[] = MOBILE_SITE_URL;
+            $this->staticURL[] = MOBILE_HTTP_URL;
         }
     }
@@ -225,10 +225,10 @@
             // :TODO: カテゴリの最終更新日を取得できるようにする
             
-            $page["url"] = SITE_URL . 'products/list.php?category_id=' . $row['category_id'];
+            $page["url"] = HTTP_URL . 'products/list.php?category_id=' . $row['category_id'];
             $arrRet[] = $page;
             
             // モバイルサイト
             if (USE_MOBILE !== false) {
-                $page["url"] = MOBILE_SITE_URL . 'products/list.php?category_id=' . $row['category_id'];
+                $page["url"] = MOBILE_HTTP_URL . 'products/list.php?category_id=' . $row['category_id'];
                 $arrRet[] = $page;
             }
@@ -252,10 +252,10 @@
             $page["update_date"] = $row['update_date'];
             
-            $page["url"] = SITE_URL . substr(DETAIL_P_HTML, strlen(URL_DIR)) . $row['product_id'];
+            $page["url"] = HTTP_URL . substr(DETAIL_P_HTML, strlen(URL_PATH)) . $row['product_id'];
             $arrRet[] = $page;
             
             // モバイルサイト
             if (USE_MOBILE !== false) {
-                $page["url"] = SITE_URL . substr(MOBILE_DETAIL_P_HTML, strlen(URL_DIR)) . $row['product_id'];
+                $page["url"] = HTTP_URL . substr(MOBILE_DETAIL_P_HTML, strlen(URL_PATH)) . $row['product_id'];
                 $arrRet[] = $page;
             }
@@ -305,9 +305,9 @@
         $pageData = $objQuery->getAll($sql, $arrVal);
         
-        // URL にプロトコルの記載が無い場合、SITE_URL を前置する。
+        // URL にプロトコルの記載が無い場合、HTTP_URL を前置する。
         foreach (array_keys($pageData) as $key) {
             $page =& $pageData[$key];
             if (!preg_match('|^https?://|i', $page['url'])) {
-                $page['url'] = SITE_URL . $page['url'];
+                $page['url'] = HTTP_URL . $page['url'];
             }
             $page['url'] = preg_replace('|/' . preg_quote(DIR_INDEX_FILE) . '$|', '/' . DIR_INDEX_URL, $page['url']);
Index: /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 19802)
@@ -106,5 +106,5 @@
             if(count($arrErr) == 0) {
                 if($objCustomer->getCustomerDataFromEmailPass($arrForm['login_pass'], $arrForm['login_email'], true)) {
-                    $this->objDisplay->redirect($this->getLocation(URL_DIR, array(), false));
+                    $this->objDisplay->redirect($this->getLocation(URL_PATH, array(), false));
                     exit;
                 } else {
@@ -132,7 +132,7 @@
             //マイページログイン中はログイン画面へ移行
             if ($mypage_url_search == 2){
-                $this->objDisplay->redirect($this->getLocation(URL_DIR . "mypage/login.php", array(), false));
+                $this->objDisplay->redirect($this->getLocation(URL_PATH . "mypage/login.php", array(), false));
             }else{
-                $this->objDisplay->redirect($this->getLocation(URL_DIR, array(), false));
+                $this->objDisplay->redirect($this->getLocation(URL_PATH, array(), false));
             }
             exit;
Index: /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 19737)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 19802)
@@ -24,5 +24,5 @@
 // {{{ requires
 $current_dir = realpath(dirname(__FILE__));
-define('CALENDAR_ROOT', DATA_PATH.'module/Calendar'.DIRECTORY_SEPARATOR);
+define('CALENDAR_ROOT', DATA_FILE_PATH.'module/Calendar'.DIRECTORY_SEPARATOR);
 require_once($current_dir . "/../../../../module/Calendar/Month/Weekdays.php");
 require_once(CLASS_PATH . "pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php");
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 19767)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 19802)
@@ -198,5 +198,5 @@
 
                         $this->objDisplay->redirect($this->getLocation(
-                            URL_DIR . USER_DIR . 'gmopg_oneclick_confirm.php', array(), true));
+                            URL_PATH . USER_DIR . 'gmopg_oneclick_confirm.php', array(), true));
                         exit;
                     }
Index: /branches/version-2_5-dev/data/class/pages/LC_Page_ResizeImage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 19802)
@@ -24,5 +24,5 @@
 // {{{ requires
 require_once(CLASS_PATH . "pages/LC_Page.php");
-require_once(DATA_PATH . "module/gdthumb.php");
+require_once(DATA_FILE_PATH . "module/gdthumb.php");
 
 /**
Index: /branches/version-2_5-dev/data/class/pages/tb/LC_Page_TrackBack.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/tb/LC_Page_TrackBack.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/tb/LC_Page_TrackBack.php	(revision 19802)
@@ -122,5 +122,5 @@
         }
 
-        $log_path = DATA_PATH . "logs/tb_result.log";
+        $log_path = DATA_FILE_PATH . "logs/tb_result.log";
         GC_Utils_Ex::gfPrintLog("request data start -----", $log_path);
         foreach($arrData as $key => $val) {
@@ -219,5 +219,5 @@
 
         // ログ
-        $log_path = DATA_PATH . "logs/tb_result.log";
+        $log_path = DATA_FILE_PATH . "logs/tb_result.log";
 
         // スパムフィルター
@@ -309,5 +309,5 @@
             print("<title>" . $retProduct[0]["name"] . "</title>");
             print("<link>");
-            print(SITE_URL . substr(DETAIL_P_HTML, strlen(URL_DIR)) . $product_id);
+            print(HTTP_URL . substr(DETAIL_P_HTML, strlen(URL_PATH)) . $product_id);
             print("</link>");
             print("<description>");
Index: /branches/version-2_5-dev/data/class/pages/LC_Page.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page.php	(revision 19790)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page.php	(revision 19802)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(DATA_PATH . 'module/Net/URL.php');
+require_once(DATA_FILE_PATH . 'module/Net/URL.php');
 
 /**
@@ -186,10 +186,10 @@
      * 指定の URL へリダイレクトする.
      *
-     * リダイレクト先 URL に SITE_URL 及び SSL_URL を含むかチェックし,
+     * リダイレクト先 URL に HTTP_URL 及び HTTPS_URL を含むかチェックし,
      * LC_Page::getToken() の値を URLパラメータで自動的に付与する.
      *
      * @param string $url リダイレクト先 URL
      * @param boolean $isMobile モバイル用にセッションIDを付与する場合 true
-     * @return void|boolean $url に SITE_URL 及び, SSL_URL を含まない場合 false,
+     * @return void|boolean $url に HTTP_URL 及び, HTTPS_URL を含まない場合 false,
      *                       正常に遷移可能な場合は, $url の ロケーションヘッダを出力する.
      * @see Net_URL
@@ -199,6 +199,6 @@
 exit;
 
-        if (preg_match("/(" . preg_quote(SITE_URL, '/')
-                          . "|" . preg_quote(SSL_URL, '/') . ")/", $url)) {
+        if (preg_match("/(" . preg_quote(HTTP_URL, '/')
+                          . "|" . preg_quote(HTTPS_URL, '/') . ")/", $url)) {
 
             $netURL = new Net_URL($url);
@@ -292,5 +292,5 @@
      * 1. realpath($path) で $path の 絶対パスを取得
      * 2. $_SERVER['DOCUMENT_ROOT'] と一致する文字列を削除
-     * 3. $useSSL の値に応じて, SITE_URL 又は, SSL_URL を付与する.
+     * 3. $useSSL の値に応じて, HTTP_URL 又は, HTTPS_URL を付与する.
      *
      * 返り値に, QUERY_STRING を含めたい場合は, key => value 形式
@@ -300,6 +300,6 @@
      * @param string $path 結果を取得するためのパス
      * @param array $param URL に付与するパラメータの配列
-     * @param mixed $useSSL 結果に SSL_URL を使用する場合 true,
-     *                         SITE_URL を使用する場合 false,
+     * @param mixed $useSSL 結果に HTTPS_URL を使用する場合 true,
+     *                         HTTP_URL を使用する場合 false,
      *                         デフォルト "escape" 現在のスキーマを使用
      * @return string $path の存在する http(s):// から始まる絶対パス
@@ -311,12 +311,12 @@
         // スキーマを定義
         if ($useSSL === true) {
-            $url = SSL_URL . $rootPath;
+            $url = HTTPS_URL . $rootPath;
         } elseif ($useSSL === false){
-            $url = SITE_URL . $rootPath;
+            $url = HTTP_URL . $rootPath;
         } elseif ($useSSL == "escape") {
             if (SC_Utils_Ex::sfIsHTTPS()) {
-                $url = SSL_URL . $rootPath;
+                $url = HTTPS_URL . $rootPath;
             } else {
-                $url = SITE_URL . $rootPath;
+                $url = HTTP_URL . $rootPath;
             }
         } else {
@@ -342,5 +342,5 @@
         // Windowsの場合は, ディレクトリの区切り文字を\から/に変換する
         $path = str_replace('\\', '/', $path);
-        $htmlPath = str_replace('\\', '/', HTML_PATH);
+        $htmlPath = str_replace('\\', '/', HTML_FILE_PATH);
         
         // PHP 5.1 対策 ( http://xoops.ec-cube.net/modules/newbb/viewtopic.php?topic_id=4277&forum=9 )
@@ -351,5 +351,5 @@
         // $path が / で始まっている場合
         if (substr($path, 0, 1) == '/') {
-            $realPath = realpath($htmlPath . substr_replace($path, '', 0, strlen(URL_DIR)));
+            $realPath = realpath($htmlPath . substr_replace($path, '', 0, strlen(URL_PATH)));
         // 相対パスの場合
         } else {
@@ -363,5 +363,5 @@
         }
         
-        // HTML_PATH を削除した文字列を取得.
+        // HTML_FILE_PATH を削除した文字列を取得.
         $rootPath = str_replace($htmlPath, '', $realPath);
         $rootPath = ltrim($rootPath, '/');
Index: /branches/version-2_5-dev/data/class/graph/SC_GraphBase.php
===================================================================
--- /branches/version-2_5-dev/data/class/graph/SC_GraphBase.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/graph/SC_GraphBase.php	(revision 19802)
@@ -23,5 +23,5 @@
 
 /** TTFフォントファイル */
-define("FONT_PATH", DATA_PATH . "fonts/wlmaru20044.ttf");
+define("FONT_PATH", DATA_FILE_PATH . "fonts/wlmaru20044.ttf");
 
 /** フォントサイズ */
Index: /branches/version-2_5-dev/data/class/SC_SmartphoneUserAgent.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_SmartphoneUserAgent.php	(revision 19713)
+++ /branches/version-2_5-dev/data/class/SC_SmartphoneUserAgent.php	(revision 19802)
@@ -86,10 +86,10 @@
 
         $url = SC_Utils_Ex::sfIsHTTPS()
-            ? SMARTPHONE_SSL_URL
-            : SMARTPHONE_SITE_URL
+            ? SMARTPHONE_HTTPS_URL
+            : SMARTPHONE_HTTP_URL
         ;
 
         // XXX サニタイズ必要？
-        $url .= (preg_match('|^' . URL_DIR . '(.*)$|', $_SERVER['REQUEST_URI'], $matches))
+        $url .= (preg_match('|^' . URL_PATH . '(.*)$|', $_SERVER['REQUEST_URI'], $matches))
             ? $matches[1]
             : ''
Index: /branches/version-2_5-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_5-dev/data/class/util/SC_Utils.php	(revision 19773)
+++ /branches/version-2_5-dev/data/class/util/SC_Utils.php	(revision 19802)
@@ -86,5 +86,5 @@
             }
         }
-        $path = HTML_PATH . "install/index.php";
+        $path = HTML_FILE_PATH . "install/index.php";
         if(file_exists($path)) {
             SC_Utils::sfErrorHeader("&gt;&gt; /install/index.phpは、インストール完了後にファイルを削除してください。");
@@ -242,5 +242,5 @@
             // sfErrorHeader('>> referrerが無効になっています。');
         } else {
-            $domain  = SC_Utils::sfIsHTTPS() ? SSL_URL : SITE_URL;
+            $domain  = SC_Utils::sfIsHTTPS() ? HTTPS_URL : HTTP_URL;
             $pattern = sprintf('|^%s.*|', $domain);
             $referer = $_SERVER['HTTP_REFERER'];
@@ -453,7 +453,7 @@
     function sfReload($get = "") {
         if ($_SERVER["SERVER_PORT"] == "443" ){
-            $url = ereg_replace(URL_DIR . "$", "", SSL_URL);
-        } else {
-            $url = ereg_replace(URL_DIR . "$", "", SITE_URL);
+            $url = ereg_replace(URL_PATH . "$", "", HTTPS_URL);
+        } else {
+            $url = ereg_replace(URL_PATH . "$", "", HTTP_URL);
         }
 
@@ -1516,5 +1516,5 @@
     // 指定したURLに対してPOSTでデータを送信する
     function sfSendPostData($url, $arrData, $arrOkCode = array()){
-        require_once(DATA_PATH . "module/Request.php");
+        require_once(DATA_FILE_PATH . "module/Request.php");
 
         // 送信インスタンス生成
Index: /branches/version-2_5-dev/data/class/session/sessionfactory/SC_SessionFactory_UseRequest.php
===================================================================
--- /branches/version-2_5-dev/data/class/session/sessionfactory/SC_SessionFactory_UseRequest.php	(revision 19729)
+++ /branches/version-2_5-dev/data/class/session/sessionfactory/SC_SessionFactory_UseRequest.php	(revision 19802)
@@ -79,5 +79,5 @@
      */
     function getExtSessionId() {
-        if (!preg_match('|^' . URL_DIR . '(.*)$|', $_SERVER['SCRIPT_NAME'], $matches)) {
+        if (!preg_match('|^' . URL_PATH . '(.*)$|', $_SERVER['SCRIPT_NAME'], $matches)) {
             return null;
         }
Index: /branches/version-2_5-dev/data/class/SC_MobileKaraMail.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_MobileKaraMail.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/SC_MobileKaraMail.php	(revision 19802)
@@ -57,5 +57,5 @@
         }
 
-        require_once DATA_PATH . '/module/Mail/mimeDecode.php';
+        require_once DATA_FILE_PATH . '/module/Mail/mimeDecode.php';
 
         $fp = fopen('php://stdin', 'r');
Index: /branches/version-2_5-dev/data/class/SC_MobileImage.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_MobileImage.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/SC_MobileImage.php	(revision 19802)
@@ -92,5 +92,5 @@
             foreach ($images[1] as $key => $path) {
                 $realpath = html_entity_decode($path, ENT_QUOTES);
-                $realpath = preg_replace('|^' . URL_DIR . '|', HTML_PATH, $realpath);
+                $realpath = preg_replace('|^' . URL_PATH . '|', HTML_FILE_PATH, $realpath);
                 $converted = $imageConverter->execute($realpath);
                 if (isset($converted['outputImageName'])) {
Index: /branches/version-2_5-dev/data/class/SC_Initial.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Initial.php	(revision 19760)
+++ /branches/version-2_5-dev/data/class/SC_Initial.php	(revision 19802)
@@ -75,14 +75,14 @@
         if (defined('ECCUBE_INSTALL')) {
             define('MOBILE_DIR', 'mobile/');
-            define('MOBILE_HTML_PATH', HTML_PATH . MOBILE_DIR);
-            define('MOBILE_SITE_URL', SITE_URL . MOBILE_DIR);
-            define('MOBILE_SSL_URL', SSL_URL . MOBILE_DIR);
-            define('MOBILE_URL_DIR', URL_DIR . MOBILE_DIR);
+            define('MOBILE_HTML_FILE_PATH', HTML_FILE_PATH . MOBILE_DIR);
+            define('MOBILE_HTTP_URL', HTTP_URL . MOBILE_DIR);
+            define('MOBILE_HTTPS_URL', HTTPS_URL . MOBILE_DIR);
+            define('MOBILE_URL_PATH', URL_PATH . MOBILE_DIR);
 
             define('SMARTPHONE_DIR', 'sphone/');
-            define('SMARTPHONE_HTML_PATH', HTML_PATH . SMARTPHONE_DIR);
-            define('SMARTPHONE_SITE_URL', SITE_URL . SMARTPHONE_DIR);
-            define('SMARTPHONE_SSL_URL', SSL_URL . SMARTPHONE_DIR);
-            define('SMARTPHONE_URL_DIR', URL_DIR . SMARTPHONE_DIR);
+            define('SMARTPHONE_HTML_FILE_PATH', HTML_FILE_PATH . SMARTPHONE_DIR);
+            define('SMARTPHONE_HTTP_URL', HTTP_URL . SMARTPHONE_DIR);
+            define('SMARTPHONE_HTTPS_URL', HTTPS_URL . SMARTPHONE_DIR);
+            define('SMARTPHONE_URL_PATH', URL_PATH . SMARTPHONE_DIR);
 
             define('ADMIN_DIR', 'admin/');
@@ -229,5 +229,5 @@
      */
     function createCacheDir() {
-        if (defined("HTML_PATH")) {
+        if (defined("HTML_FILE_PATH")) {
             umask(0);
             if (!file_exists(COMPILE_DIR)) {
Index: /branches/version-2_5-dev/data/class/SC_Response.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Response.php	(revision 19765)
+++ /branches/version-2_5-dev/data/class/SC_Response.php	(revision 19802)
@@ -132,6 +132,6 @@
 
     function sendRedirect($location) {
-        if (preg_match("/(" . preg_quote(SITE_URL, '/')
-                          . "|" . preg_quote(SSL_URL, '/') . ")/", $location)) {
+        if (preg_match("/(" . preg_quote(HTTP_URL, '/')
+                          . "|" . preg_quote(HTTPS_URL, '/') . ")/", $location)) {
 
             $netURL = new Net_URL($location);
Index: /branches/version-2_5-dev/data/require_classes.php
===================================================================
--- /branches/version-2_5-dev/data/require_classes.php	(revision 19793)
+++ /branches/version-2_5-dev/data/require_classes.php	(revision 19802)
@@ -22,6 +22,6 @@
  */
 
-require_once(DATA_PATH . "module/Services/JSON.php");
-require_once DATA_PATH . 'module/Compat/Compat.php';
+require_once(DATA_FILE_PATH . "module/Services/JSON.php");
+require_once DATA_FILE_PATH . 'module/Compat/Compat.php';
 require_once(CLASS_EX_PATH . "util_extends/GC_Utils_Ex.php");
 require_once(CLASS_EX_PATH . "util_extends/SC_Utils_Ex.php");
Index: /branches/version-2_5-dev/data/app_initial.php
===================================================================
--- /branches/version-2_5-dev/data/app_initial.php	(revision 18743)
+++ /branches/version-2_5-dev/data/app_initial.php	(revision 19802)
@@ -24,15 +24,15 @@
 if (!defined("CLASS_PATH")) {
     /** クラスパス */
-    define("CLASS_PATH", DATA_PATH . "class/");
+    define("CLASS_PATH", DATA_FILE_PATH . "class/");
 }
 
 if (!defined("CLASS_EX_PATH")) {
     /** クラスパス */
-    define("CLASS_EX_PATH", DATA_PATH . "class_extends/");
+    define("CLASS_EX_PATH", DATA_FILE_PATH . "class_extends/");
 }
 
 if (!defined("CACHE_PATH")) {
     /** キャッシュ生成ディレクトリ */
-    define("CACHE_PATH", DATA_PATH . "cache/");
+    define("CACHE_PATH", DATA_FILE_PATH . "cache/");
 }
 
